aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libibmad/APKBUILD
diff options
context:
space:
mode:
authorJann - Ove Risvik <jann.ove@usaklig.com>2016-07-09 16:38:26 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-09-22 09:40:45 +0000
commit7b983fcbe376165d7d91d04ba4ca2fd13c057ddd (patch)
treeeac73cd4dc05f382759c9da0db03d896791f9839 /testing/libibmad/APKBUILD
parenta55e36de3edd796f83b099e16b1fc4dc830e09cc (diff)
downloadaports-7b983fcbe376165d7d91d04ba4ca2fd13c057ddd.tar.gz
aports-7b983fcbe376165d7d91d04ba4ca2fd13c057ddd.tar.bz2
aports-7b983fcbe376165d7d91d04ba4ca2fd13c057ddd.tar.xz
testing/libibmad: new aport
https://openfabrics.org/index.php/openfabrics-software.html Generic InfiniBand MAD handling library
Diffstat (limited to 'testing/libibmad/APKBUILD')
-rw-r--r--testing/libibmad/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/libibmad/APKBUILD b/testing/libibmad/APKBUILD
new file mode 100644
index 0000000000..ea29b4c130
--- /dev/null
+++ b/testing/libibmad/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Jann - Ove Risvik <jann.ove@usaklig.com>
+# Maintainer:
+pkgname=libibmad
+pkgver=1.3.12
+pkgrel=0
+pkgdesc="Generic InfiniBand MAD handling library"
+url="https://www.openfabrics.org/index.php/openfabrics-software.html"
+arch="x86 x86_64"
+license="GPL2 BSD"
+depends=""
+depends_dev="libibumad-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="https://www.openfabrics.org/downloads/management/$pkgname-$pkgver.tar.gz
+"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7aabf50569c4d30a9a0689fd96097e4f libibmad-1.3.12.tar.gz"
+sha256sums="f1bfb512b5b927496bf8214da1de1972494c7e244d1a68320924b2a933f8937b libibmad-1.3.12.tar.gz"
+sha512sums="6c17d4b5c3a3cb2b682644e29c0aff0a34bc6d25c2fe007791cf08a59094dc3d1ee07f1dae5f81860f80b75de03617b55fa7ad4f11037d40c7d920fc99273330 libibmad-1.3.12.tar.gz"